installing ppgplot (using OS X 10.3 / gcc 3.4 / python 2.3b)

bwani tifredman at free.fr
Sun Nov 7 23:59:22 CET 2004


Ok, I found my error...
the one missing was -lg2c
and all works fine again :)
But i still don't understand the errors in pgplot compilation

Here are the 2 commands i typed for ppgplot:

# Compilation
gcc -fno-strict-aliasing -mno-fused-madd -fno-common -dynamic -DNDEBUG -g
-O3 -Wall -Wstrict-prototypes
-I/System/Library/Frameworks/Python.framework/Versions/2.3/include/python2.3/Numeric
-I/usr/local/pgplot/
-I/System/Library/Frameworks/Python.framework/Versions/2.3/include/python2.3
-c src/_ppgplot.c -o
build/temp.darwin-7.5.0-Power_Macintosh-2.3/src/_ppgplot.o

# Linking  !! DON'T FORGET -lg2c !!!!!
gcc -framework Python -lcpgplot -lpgplot -L/usr/X11R6/lib/
-L/usr/local/pgplot -L/usr/local/lib -lg2c -lX11 -lm -bundle
-Wl,-framework -Wl,AppKit
build/temp.darwin-7.5.0-Power_Macintosh-2.3/src/_ppgplot.o -o
build/lib.darwin-7.5.0-Power_Macintosh-2.3/ppgplot/_ppgplot.so


then copy the _ppgplot.so to pythonpath, and use it!

Fred





More information about the Python-list mailing list